        SUBROUTINE SCOPY(STR1,STR2)
        CHARACTER*1 STR1(40),STR2(40)
        I=0
10      CONTINUE
        I=I+1
        STR2(I)=STR1(I)
        IF (STR2(I).NE.CHAR(0)) GOTO 10
        RETURN
        END
